﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="RadGridLinkColumnsExport.aspx.cs" Inherits="RadGridLinkColumnsExport" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <telerik:RadScriptManager ID="RadScriptManager1" runat="server">
            <Scripts>
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.Core.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQuery.js" />
                <asp:ScriptReference Assembly="Telerik.Web.UI" Name="Telerik.Web.UI.Common.jQueryInclude.js" />
            </Scripts>
        </telerik:RadScriptManager>
        <script type="text/javascript">
            //Put your JavaScript code here.
        </script>
        <telerik:RadAjaxManager ID="RadAjaxManager1" runat="server">
        </telerik:RadAjaxManager>
        <telerik:RadGrid ID="RadGrid1" runat="server" AllowPaging="True" CellSpacing="0"
            OnNeedDataSource="RadGrid1_NeedDataSource" GridLines="None" Width="800px" OnItemCreated="RadGrid1_ItemCreated">
            <MasterTableView AutoGenerateColumns="False" DataKeyNames="OrderID" CommandItemDisplay="Top">
                <CommandItemSettings ShowExportToPdfButton="true" ShowExportToExcelButton="true" />
                <Columns>
                    <telerik:GridBoundColumn DataField="OrderID" DataType="System.Int32" FilterControlAltText="Filter OrderID column"
                        HeaderText="OrderID" ReadOnly="True" SortExpression="OrderID" UniqueName="OrderID">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="OrderDate" DataType="System.DateTime" FilterControlAltText="Filter OrderDate column"
                        HeaderText="OrderDate" SortExpression="OrderDate" UniqueName="OrderDate">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="Freight" DataType="System.Decimal" FilterControlAltText="Filter Freight column"
                        HeaderText="Freight" SortExpression="Freight" UniqueName="Freight">
                    </telerik:GridBoundColumn>
                    <telerik:GridBoundColumn DataField="ShipName" FilterControlAltText="Filter ShipName column"
                        HeaderText="ShipName" SortExpression="ShipName" UniqueName="ShipName">
                    </telerik:GridBoundColumn>
                    <telerik:GridHyperLinkColumn DataTextField="ShipCountry" FilterControlAltText="Filter ShipCountry column"
                        HeaderText="ShipCountry" SortExpression="ShipCountry" UniqueName="ShipCountry"
                        DataNavigateUrlFields="ShipCountry" NavigateUrl="http://www.wikipedia.org/" DataNavigateUrlFormatString="http://www.wikipedia.org/wiki/{0}">
                    </telerik:GridHyperLinkColumn>
                    <telerik:GridTemplateColumn UniqueName="TemplateColumn" HeaderText="Template Column">
                        <ItemTemplate>
                            <asp:HyperLink ID="HyperLink1" runat="server" Text='<%# Eval("ShipCountry")%>'
                                NavigateUrl='<%#"http://www.wikipedia.org/wiki/"+Eval("ShipCountry")%>'></asp:HyperLink>
                        </ItemTemplate>
                    </telerik:GridTemplateColumn>
                    <telerik:GridButtonColumn UniqueName="ButtonColumn" HeaderText="Button Column" ButtonType="LinkButton"
                        DataTextField="ShipCountry">
                    </telerik:GridButtonColumn>
                </Columns>
            </MasterTableView>
        </telerik:RadGrid>
    </form>
</body>
</html>
